Bug 144165 - Numeric values in Histogram -> Statistics frame should be right-aligned
Summary: Numeric values in Histogram -> Statistics frame should be right-aligned
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-Ergonomy (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-13 07:23 UTC by bcr
Modified: 2017-08-06 09:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.3


Attachments
Several images and their histogram (251.61 KB, image/png)
2007-06-13 13:39 UTC, Arnd Baecker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bcr 2007-04-13 07:23:07 UTC
Version:           9.2 - SVN (using KDE KDE 3.5.6)
Installed from:    Ubuntu Packages
OS:                Linux

The numeric column in the statistical values of the Histogram -> Statistics window is poorly formatted.

Any column of numeric values should be right-aligned to allow for easy comparison. If the values are fractional then they should use the same level of precision or ensure that the decimal separators all line up properly. Numbers greater than 1000 should also use locale-appropriate ("." or ",") separators as well. Some examples:

Left-aligned (current style):

0.2
123.99
1232313.0

Properly right-aligned, with 1000's separator:

________0.20
______123.99
1,232,313.00

Picky I know but its thats the kind of polish we should aim for.
Comment 1 bcr 2007-04-13 07:25:26 UTC
I would also suggest shortening the current label "Standard deviation" to just "Std. deviation" to help the proportions.
Comment 2 Arnd Baecker 2007-06-13 13:39:35 UTC
Created attachment 20845 [details]
Several images and their histogram

I did a more thorough check of the patch, and find quite
a few cases, where it does not work optimally:
(A) too much is cut-off
(B) not enough is cut-off to the right
(C) too much is cut-off
(D) too much is cut-off

Maybe one should only use the largest 10% and lowest 10%
to detect blown out high-lights and shadows and
regard everything else as normal contents?

Unless there are any values which are being clipped, I would
suggest to always leave 2-3% of the height just blank,
so that it is clear, when something is clipped.

If you revise the patch, I am perfectly happy to test it again
(maybe we can still sneak it into the release candidate for 0.9.2 ;-)
Comment 3 caulier.gilles 2007-06-13 13:42:19 UTC
Arnd,

Are you posted your message in the right B.K.O file ? (:=)))

Gilles
Comment 4 Arnd Baecker 2007-06-13 17:43:55 UTC
Gilles, sorry - no, completely wrong bug!

Please ignore #2 here, should have gone to  
http://bugs.kde.org/show_bug.cgi?id=144155
Comment 5 caulier.gilles 2007-11-28 12:14:12 UTC
SVN commit 742611 by cgilles:

fix histogram statistics layout to be more readable.
BUG: 144165
KDE4PORT


 M  +22 -22    imagepropertiescolorstab.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=742611
Comment 6 caulier.gilles 2007-11-28 12:40:26 UTC
SVN commit 742620 by cgilles:

backport commits #742611 from KDE3 branch
CCBUGS: 144165


 M  +26 -26    imagepropertiescolorstab.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=742620